<template>
  <div class="user">
    <div class="username-block">
      Юлия Иванова
      <v-btn icon @click="leftBar.show = !leftBar.show">
        <v-icon>mdi-dots-horizontal</v-icon>
      </v-btn>
    </div>
    <v-divider v-if="leftBar.show"></v-divider>
    <div class="left-bar" :class="{'_active': leftBar.show}">
      <div class="user-name">Юлия Иванова</div>
      <div class="user-added">Добавлен: <span>13.01.2021 13:15</span></div>
      <div class="chip">
        <div class="chip-title">Теги:</div>
        <v-chip-group column>
          <v-chip>оптика</v-chip>
          <v-chip>питер</v-chip>
        </v-chip-group>
      </div>
      <div class="status">
        Статус: <span class="contact">Получен контакт</span>
      </div>
      <div class="budget">Бюджет: <span class="color-red">не указано</span> Долг: <span>не указано</span></div>
      <div class="user-calendar" style="cursor: pointer" @click="rightBar.calendar = true; leftBar.show = false">
        <img src="../assets/img/general/calendar.svg" alt="">
        Календарь
      </div>
      <div class="user-tabs">
        <v-btn
          v-for="tab in leftBar.tabs"
          :key="tab.id"
          :class="{'_active':leftBar.activeTab === tab.id}"
          class="user-tab"
          :text="!leftBar.activeTab === !tab.id"
          @click="leftBar.activeTab = tab.id"
        >
          {{tab.title}}
          <img style="margin-left: 5px" src="../assets/img/general/menu-select.svg" v-if="tab.id === 5" alt="">
        </v-btn>
      </div>
      <div class="tab-data">
        <label class="data-element">
          <p>Передан в регион</p>
          <select name="">
            <option selected hidden value="0">Выберите вариант</option>
            <option value="1">вариант 1</option>
            <option value="2">вариант 2</option>
          </select>
        </label>
        <label class="data-element">
          <p>Город</p>
          <select name="">
            <option selected hidden value="0">Выберите вариант</option>
            <option value="1">Хурхуяновск</option>
            <option value="2">Распиздяевск</option>
          </select>
        </label>
        <label class="data-element">
          <p>Предложил рассрочку</p>
          <input type="checkbox">
        </label>
        <label class="data-element">
          <p>Отправил WhatsApp</p>
          <input type="checkbox">
        </label>
        <label class="data-element">
          <p>Предложил постоплату</p>
          <input type="checkbox">
        </label>
        <label class="data-element">
          <p>Отправил выигранные дела</p>
          <input type="checkbox">
        </label>
        <label class="data-element">
          <p>Отправил выигранные дела</p>
          <input type="checkbox">
        </label>
        <label class="data-element">
          <p>Отправил бесплатные ходатайства</p>
          <input type="checkbox">
        </label>
        <label class="data-element">
          <p>Статья КОАП</p>
          <select name="">
            <option selected hidden value="0">Выберите вариант</option>
            <option value="1">вариант 1</option>
            <option value="2">вариант 2</option>
          </select>
        </label>
        <label class="data-element">
          <p>Инстанция</p>
          <select name="">
            <option selected hidden value="0">Выберите вариант</option>
            <option value="1">вариант 1</option>
            <option value="2">вариант 2</option>
          </select>
        </label>
        <label class="data-element">
          <p>Инстанция</p>
          <input placeholder="Введите текст" type="text">
        </label>
        <label class="data-element">
          <p>Записал на бесплатный вебинар</p>
          <input type="checkbox">
        </label>
      </div>
      <div class="tab-data">
        <label class="data-element">
          <p>Фамилия</p>
          <input type="text" placeholder="">
        </label>
        <label class="data-element">
          <p>Имя</p>
          <input type="text" placeholder="">
        </label>
        <label class="data-element">
          <p>Отчество</p>
          <input type="text" placeholder="">
        </label>
        <label class="data-element">
          <p>Телефон</p>
          <input type="text" placeholder="">
        </label>
      </div>
    </div>
    <transition-group name="anim-right-bar" style="width: 100%;">
      <div :key="'right-bar-1'" class="right-bar" v-show="!rightBar.calendar">
        <div class="bar-container">
          <div class="bar-container-title">
            <p>Исходящее SMS</p><p>23.03.2021 18:19</p>
          </div>
          <div class="bar-container-text">
            Компания «Автоюрист» приветствует Вас. Мы свяжемся с Вами и ответим на все вопросы в ближайшее время.
            Бесплатный номер 8-800-201-32-36
          </div>
        </div>
        <div class="bar-container">
          <div class="bar-container-title">
            <p>Робот <img src="../assets/img/general/arrow-next.svg" alt="">Примечание</p><p>23.03.2021 18:19</p>
          </div>
          <div class="bar-container-text">
            Заявка от клиента:
          </div>
        </div>
        <div class="bar-container">
          <div class="bar-container-title">
            <p>Прикреплён документ</p><p>23.03.2021 18:19</p>
          </div>
          <div class="bar-container-text">
            <img src="../assets/img/general/pdf-icon.svg" alt="">ходатайство_Иванов. pdf<span>0.21mb</span>
          </div>
        </div>
        <div class="bar-container warn">
          <div class="bar-container-title">
            <p>Прикреплён документ</p><p>23.03.2021 18:19</p>
          </div>
          <div class="bar-container-text">
            Звонок: посмотреть вотсап
          </div>
          <div class="bar-container-warn">
            <div>
              <img src="../assets/img/general/warning.svg" alt=""><span>Выполнить до:</span>2020-07-09 19:00:00
            </div>
            <div class="status-true">
              Выполнить <img src="../assets/img/general/ok-circle.svg" alt="">
            </div>
          </div>
        </div>
        <div class="bar-container warn">
          <div class="bar-container-title">
            <p>Прикреплён документ</p><p>23.03.2021 18:19</p>
          </div>
          <div class="bar-container-text">
            Звонок: посмотреть вотсап
          </div>
          <div class="bar-container-warn">
            <div>
              <img src="../assets/img/general/warning.svg" alt=""><span>Выполнить до:</span>2020-07-09 19:00:00
            </div>
            <div class="status-true">
              Выполнить <img src="../assets/img/general/ok-circle.svg" alt="">
            </div>
          </div>
        </div>
        <div class="bar-container warn">
          <div class="bar-container-title">
            <p>Прикреплён документ</p><p>23.03.2021 18:19</p>
          </div>
          <div class="bar-container-text">
            Звонок: посмотреть вотсап
          </div>
          <div class="bar-container-warn">
            <div>
              <img src="../assets/img/general/warning.svg" alt=""><span>Выполнить до:</span>2020-07-09 19:00:00
            </div>
            <div class="status-true">
              Выполнить <img src="../assets/img/general/ok-circle.svg" alt="">
            </div>
          </div>
        </div>
        <div class="bar-container warn">
          <div class="bar-container-title">
            <p>Прикреплён документ</p><p>23.03.2021 18:19</p>
          </div>
          <div class="bar-container-text">
            Звонок: посмотреть вотсап
          </div>
          <div class="bar-container-warn">
            <div>
              <img src="../assets/img/general/warning.svg" alt=""><span>Выполнить до:</span>2020-07-09 19:00:00
            </div>
            <div class="status-true">
              Выполнить <img src="../assets/img/general/ok-circle.svg" alt="">
            </div>
          </div>
        </div>
        <div class="bar-container warn">
          <div class="bar-container-title">
            <p>Прикреплён документ</p><p>23.03.2021 18:19</p>
          </div>
          <div class="bar-container-text">
            Звонок: посмотреть вотсап
          </div>
          <div class="bar-container-warn">
            <div>
              <img src="../assets/img/general/warning.svg" alt=""><span>Выполнить до:</span>2020-07-09 19:00:00
            </div>
            <div class="status-true">
              Выполнить <img src="../assets/img/general/ok-circle.svg" alt="">
            </div>
          </div>
        </div>
      </div>
      <div :key="'right-bar-3'" v-show="!rightBar.calendar" class="bar-mess">
        <div style="border: 1px solid rgba(0, 0, 0, 0.16);">
          <div class="mess-top fullscreen">
            <v-btn
              v-for="tab in rightBar.tabs"
              :key="tab.id"
              :class="{'_active':rightBar.activeTab === tab.title}"
              class="mess-tab"
              text
              @click="rightBar.activeTab = tab.title"
              :icon="tab.icon"
            >
              {{tab.title}}
              <v-icon>mdi-{{tab.mdi}}</v-icon>
            </v-btn>
            <div style="color: #3183FF" class="ml-auto mr-6">
              <v-icon color="#3183FF" class="mr-2">mdi-file-document-outline</v-icon>
              <v-dialog
                v-model="dialog"
                width="500"
              >
                <template v-slot:activator="{ on, attrs }">
                  <span
                    v-bind="attrs"
                    v-on="on"
                  >
                    Скачать договор
                  </span>
                </template>

                <v-card class="pa-5">
                  <v-card-title class="text-h5">
                    Создать договор
                  </v-card-title>
                  <v-divider class="mb-5"></v-divider>
                  <v-card-text class="user-dialog">
                    <div class="dialog-container" style="width: 100%">
                      <span>Предмет договора</span>
                      <input style="min-width: 100%;" type="text" placeholder="Введите текст">
                    </div>
                    <div class="d-flex justify-space-between mt-3">
                      <div style="max-width: 120px;width: 120px" class="dialog-container">
                        <span>Стоимость</span>
                        <input type="text" placeholder="Введите число">
                      </div>
                      <div style="max-width: 120px;width: 120px" class="dialog-container">
                        <span>Предоплата</span>
                        <input type="text" placeholder="Введите число">
                      </div>
                      <div style="max-width: 120px;width: 120px" class="dialog-container">
                        <span>Доплата</span>
                        <input type="text" placeholder="Введите число">
                      </div>
                    </div>
                    <div style="max-width: 120px;width: 120px" class="dialog-container mt-3">
                      <span>Дата доплаты</span>
                      <input type="date" placeholder="Укажите дату">
                    </div>
                  </v-card-text>

                  <v-divider></v-divider>

                  <v-card-actions>
                    <v-btn
                      color="primary"
                      elevation="2"
                      raised
                      @click="dialog = false"
                      class="mx-auto"
                    >
                      Создать договор
                    </v-btn>
                  </v-card-actions>
                </v-card>
              </v-dialog>
              <v-icon class="ml-2">mdi-eye</v-icon>
            </div>
          </div>
          <div class="mess-top mobscreen">
            <div class="d-flex align-center justify-space-between px-3" style="width: 100%">
              <span class="color-blue">{{rightBar.activeTab}}</span>
              <v-menu>
                <template v-slot:activator="{ on, attrs }">
                  <v-btn
                    v-bind="attrs"
                    v-on="on"
                    icon
                    class="ml-auto"
                  >
                    <v-icon color="#3183FF">mdi-plus</v-icon>
                  </v-btn>
                </template>
                <v-list>
                  <v-list-item
                    class="flex-wrap flex-xs-column"
                  >
                    <v-btn
                      v-for="(tab, index) in rightBar.tabs"
                      :key="tab.id"
                      :class="{'_active':rightBar.activeTab === tab.title}"
                      class="mess-tab justify-start"
                      text
                      @click="rightBar.activeTab = tab.title"
                      :icon="tab.icon"
                      :style="{
                          width: index === 1 && '100%'
                        }"
                    >
                      {{tab.title}}
                      <v-icon>mdi-{{tab.mdi}}</v-icon>
                    </v-btn>
                    <div style="color: #3183FF" class="ml-auto mr-6">
                      <v-icon color="#3183FF" class="mr-2">mdi-file-document-outline</v-icon>
                      <v-dialog
                        v-model="dialog"
                        width="500"
                      >
                        <template v-slot:activator="{ on, attrs }">
                              <span
                                v-bind="attrs"
                                v-on="on"
                              >
                                Скачать договор
                              </span>
                        </template>

                        <v-card class="pa-5">
                          <v-card-title class="text-h5">
                            Создать договор
                          </v-card-title>
                          <v-divider class="mb-5"></v-divider>
                          <v-card-text class="user-dialog">
                            <div class="dialog-container" style="width: 100%">
                              <span>Предмет договора</span>
                              <input style="min-width: 100%;" type="text" placeholder="Введите текст">
                            </div>
                            <div class="d-flex justify-space-between mt-3">
                              <div style="max-width: 120px;width: 120px" class="dialog-container">
                                <span>Стоимость</span>
                                <input type="text" placeholder="Введите число">
                              </div>
                              <div style="max-width: 120px;width: 120px" class="dialog-container">
                                <span>Предоплата</span>
                                <input type="text" placeholder="Введите число">
                              </div>
                              <div style="max-width: 120px;width: 120px" class="dialog-container">
                                <span>Доплата</span>
                                <input type="text" placeholder="Введите число">
                              </div>
                            </div>
                            <div style="max-width: 120px;width: 120px" class="dialog-container mt-3">
                              <span>Дата доплаты</span>
                              <input type="date" placeholder="Укажите дату">
                            </div>
                          </v-card-text>

                          <v-divider></v-divider>

                          <v-card-actions>
                            <v-btn
                              color="primary"
                              elevation="2"
                              raised
                              @click="dialog = false"
                              class="mx-auto"
                            >
                              Создать договор
                            </v-btn>
                          </v-card-actions>
                        </v-card>
                      </v-dialog>
                      <v-icon class="ml-2">mdi-eye</v-icon>
                    </div>
                  </v-list-item>
                </v-list>
              </v-menu>
            </div>
          </div>
          <div class="mess-bot" :class="{'_task':rightBar.activeTab === 2}">
            <v-text-field
              v-show="rightBar.activeTab === rightBar.tabs[0].title"
              filled
              label="Введите текст"
              value=""
              height="55px"
            ></v-text-field>
            <v-btn
              v-show="rightBar.activeTab === rightBar.tabs[0].title"
              class="send-message"
              icon
            >
              <v-icon>mdi-send</v-icon>
            </v-btn>
            <div v-if="rightBar.activeTab === rightBar.tabs[1].title" class="task-bot-container">
              <div class="select-container">
                <span>Тип задачи</span>
                <v-menu
                  bottom
                  offset-y
                >
                  <template v-slot:activator="{ on, attrs }">
                    <input type="text"
                           v-bind="attrs"
                           v-on="on"
                           placeholder="Выберите вариант"
                    >
                  </template>
                  <v-list>
                    <v-list-item
                      v-for="(item, i) in rightBar.items"
                      :key="i"
                      @click="() => {}"
                    >
                      <v-list-item-title>{{ item.title }}</v-list-item-title>
                    </v-list-item>
                  </v-list>
                </v-menu>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div :key="'right-bar-2'" class="right-bar" v-show="rightBar.calendar">
        <Calendar
          @removeCalendar="removeCalendar"
        />
      </div>
    </transition-group>
  </div>
</template>

<script>
import Calendar from './Calendar'
export default {
  name: 'User',
  components: {
    Calendar
  },
  data () {
    return {
      dialog: false,
      notifications: false,
      leftBar: {
        tabs: [
          { title: 'Данные', id: 1 },
          { title: 'Документы', id: 2 },
          { title: 'Финансы', id: 3 }
        ],
        activeTab: 1,
        show: false
      },
      rightBar: {
        tabs: [
          { title: 'Примечание', id: 1 },
          { title: 'Задача', id: 2 },
          { mdi: 'message-text-outline', id: 3 },
          { mdi: 'email-outline', id: 4 },
          { mdi: 'whatsapp', id: 5 }
        ],
        activeTab: 'Примечание',
        calendar: false,
        items: [
          {
            title: 'Петя'
          },
          {
            title: 'Васья'
          },
          {
            title: 'Люда'
          },
          {
            title: 'Зина'
          }
        ]
      }
    }
  },
  methods: {
    removeCalendar () {
      this.rightBar.calendar = false
    }
  }
}
</script>

<style scoped lang="scss">
  .user {
    height: 100vh;
    max-height: 100vh;
    overflow: hidden;
    display: flex;
    @media (max-width: 1005px) {
      flex-direction: column;
    }
    .username-block {
      display: none;
      justify-content: space-between;
      align-items: center;
      padding: 10px 16px;
      background: linear-gradient(0deg, rgba(49, 131, 255, 0.12), rgba(49, 131, 255, 0.12)), #FFFFFF;
      @media (max-width: 1005px) {
        display: flex;
      }
    }
    .left-bar {
      min-width: 340px;
      max-width: 340px;
      background-color: #E6F0FF;
      height: 100%;
      padding: 20px 16px 0 16px;
      @media (max-width: 1005px) {
        display: none;
        &._active {
          display: block;
          position: fixed;
          top: 105px;
          width: 100vw;
          max-width: inherit;
          z-index: 100;
        }
      }
      .user-name {
        font-weight: bold;
        font-size: 17px;
        line-height: 23px;
        color: rgba(0, 0, 0, 0.75);
      }
      .user-added {
        color: rgba(0, 0, 0, 0.3);
        span {
          color: rgba(0, 0, 0, 0.75);
        }
      }
      .chip {
        display: flex;
        align-items: flex-start;
        .chip-title {
          padding-top: 13px;
          margin-right: 10px;
        }
      }
      .status,.budget {
        span {
          margin: 0 3px;
        }
      }
      .user-calendar {
        background: linear-gradient(0deg, rgba(49, 131, 255, 0.12), rgba(49, 131, 255, 0.12)), #FFFFFF;
        box-shadow: inset 0px 1px 0px rgba(49, 131, 255, 0.32), inset 0px -1px 0px rgba(49, 131, 255, 0.32);
        padding: 7px 0;
        display: flex;
        align-items: center;
        margin: 15px 0;
        img { margin-right: 10px }
      }
      .user-tabs {
        border: 1px solid #3183FF;
        box-sizing: border-box;
        border-radius: 4px;
        padding: 6px 4px;
        display: flex;
        justify-content: space-around;
        .user-tab {
          position: relative;
          color: #8BAFE4;
          font-size: 10px;
          &._active {
            color: #FFFFFF;
            background-color: #3183FF;
          }
        }
      }
      .tab-data {
        margin: 15px 0;
        border-bottom: 1px solid rgba(0, 0, 0, 0.2);
        padding-bottom: 15px;
        .data-element {
          display: flex;
          align-items: center;
          justify-content: space-between;
          margin: 4px 0;
          cursor: pointer;
          p {
            margin: 0;
          }
        }
      }
      overflow-y: auto;
      padding-bottom: 40px;
    }
    .right-bar {
      width: 100%;
      max-height: calc(100vh - 180px);
      @media (max-width: 1005px) {
        max-height: calc(100vh - 220px);
      }
      overflow-y: auto;
      padding: 10px;
      @media (max-width: 1005px) {
      }
      position: relative;
      .bar-container {
        border: 1px solid rgba(0, 0, 0, 0.16);
        &.warn { border: 1px solid red; }
        box-sizing: border-box;
        border-radius: 8px;
        padding: 12px;
        margin-bottom: 10px;
        font-size: 13px;
        .bar-container-title {
          display: flex;
          justify-content: space-between;
          color: #324661;
          p {
            display: flex;
            align-items: center;
            font-weight: 600;
            font-size: 13px;
            img {
              margin: 0 10px;
            }
            &:last-child {
              color: rgba(0,0,0,.3);
              font-weight: 400;
            }
          }
        }
        .bar-container-text,.bar-container-warn {
          display: flex;
          align-items: center;
          img {
            margin: 0 10px;
          }
          span {
            margin: 0 10px;
            color: rgba(0,0,0,.3);
          }
        }
        .bar-container-warn {
          margin-top: 8px;
          display: flex;
          justify-content: space-between;
          span {
            color: red;
            font-weight: 600;
            margin: 0 5px;
          }

          .status-true {
            color: #3183FF;
            cursor: pointer;
          }
          .status-false {
            color: red;
            cursor: pointer;
          }
        }
      }
    }
    .bar-mess {
      width: 100%;
      background: #FFFFFF;
      box-sizing: border-box;
      padding: 20px 0 20px 0;
      overflow: hidden;
      &._task {
      }
      min-height: 180px;
      .mess-top {
        display: flex;
        align-items: center;
        &.fullscreen {
          @media (max-width: 650px) {
            display: none;
          }
        }
        &.mobscreen {
          display: none;
          @media (max-width: 650px) {
            display: flex;
          }
        }
        .mess-tab {
          position: relative;
          color: #8BAFE4;
          &._active {
            color: #3183FF;
            &:after {
              content: '';
              position: absolute;
              bottom: 0;
              width: 100%;
              height: 2px;
              background-color: #1976D2;
              z-index: 200000;
            }
          }
        }
      }
      .mess-bot {
        position: relative;
        .send-message {
          position: absolute;
          top: 10px;
          right: 12px;
          z-index: 10;
        }
        .task-bot-container {
          margin: 10px 12px;
          .select-container {
            display: flex;
            flex-direction: column;
          }
        }
      }
    }
  }
  select, input[type=text] {
    background: #FFFFFF;
    border: 1px solid #CCD4DD;
    box-sizing: border-box;
    border-radius: 4px;
    padding: 8px;
    padding-right: 5px;
    max-width: 200px;
    color: rgba(0, 0, 0, 0.3);
  }
  .user-dialog {
    .dialog-container {
      display: flex;
      flex-direction: column;
    }
    span {
      margin-bottom: 5px;
    }
    input {
      background: #FFFFFF;
      border: 1px solid #CCD4DD;
      box-sizing: border-box;
      border-radius: 4px;
      padding: 13px 5px 13px 12px;
      max-width: 100%;
      height: 32px;
    }
  }
  .anim-right-bar-enter-active {
    transition: all .3s;
    transform: scale(0.6);
    opacity: 0.7;
  }
  .anim-right-bar-enter-to {
    transform: scale(1);
  }
  .anim-right-bar-leave-active {
    transition: all .3s;
  }
  .anim-right-bar-leave-to {
    transform: scale(0.6);
    opacity: 0.1;
  }
</style>
